<p></p>
<hr>

<div class="control-group">
    <label class="control-label" for="sadadqa_key_id">Merchant ID:</label>
    <div class="controls">
        <input type="text"
            name="payment_data[processor_params][sadadqa_key_id]"
            id="sadadqa_key_id"
            value="{$processor_params.sadadqa_key_id}"
            class="input-text"
            size="60"/>
    </div>
</div>


<div class="control-group">
    <label class="control-label" for="sadadqa_secret">Secret Key:</label>
    <div class="controls">
        <input type="text"
            name="payment_data[processor_params][sadadqa_secret]"
            id="sadadqa_secret"
            value="{$processor_params.sadadqa_secret}"
            class="input-text"
            size="60"/>
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="sadadqa_checkout_lang">Checkout page language:</label>
    <div class="controls">
        <select
            name="payment_data[processor_params][sadadqa_checkout_lang]"
            id="sadadqa_checkout_lang"
            value="{$processor_params.sadadqa_checkout_lang}"
            class="input-text">
            <option value="ARB" {if $processor_params.sadadqa_checkout_lang=='ARB'} selected="selected" {/if}>Arabic</option>
            <option value="ENG" {if $processor_params.sadadqa_checkout_lang=='ENG'} selected="selected" {/if}>English</option>
        </select>
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="sadadqa_website">Website:</label>
    <div class="controls">
        <input type="text"
            name="payment_data[processor_params][sadadqa_website]"
            id="sadadqa_website"
            value="{$processor_params.sadadqa_website}"
            class="input-text" />
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="sadadqa_checkout_loader">Checkout Hide Loader:</label>
    <div class="controls">
        <select
            name="payment_data[processor_params][sadadqa_checkout_loader]"
            id="sadadqa_checkout_loader"
            value="{$processor_params.sadadqa_checkout_loader}"
            class="input-text">
            <option value="NO" {if $processor_params.sadadqa_checkout_loader=='NO'} selected="selected" {/if}>NO</option>
            <option value="YES" {if $processor_params.sadadqa_checkout_loader=='YES'} selected="selected" {/if}>YES</option>
        </select>
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="sadadqa_checkout_type">Checkout Type:</label>
    <div class="controls">
        <select
            name="payment_data[processor_params][sadadqa_checkout_type]"
            id="sadadqa_checkout_type"
            value="{$processor_params.sadadqa_checkout_type}"
            class="input-text">
            <option value="1" {if $processor_params.sadadqa_checkout_type=='1'} selected="selected" {/if}>Web Checkout</option>
            <option value="2" {if $processor_params.sadadqa_checkout_type=='2'} selected="selected" {/if}>Web Checkout 2.2</option>
        </select>
    </div>
</div>

<div class="control-group" id="chkoutTypeDiv" {if !isset($processor_params.sadadqa_checkout_type) or $processor_params.sadadqa_checkout_type=='1'} style="display:none;" {/if}>
    <label class="control-label" for="sadadqa_checkout_type2">Web checkout 2.2 type:</label>
    <div class="controls">
        <select
            name="payment_data[processor_params][sadadqa_checkout_type2]"
            id="sadadqa_checkout_type2"
            value="{$processor_params.sadadqa_checkout_type2}"
            class="input-text">
            <option value="1" {if $processor_params.sadadqa_checkout_type2=='1'} selected="selected" {/if}>Modal Popup</option>
            <option value="2" {if $processor_params.sadadqa_checkout_type2=='2'} selected="selected" {/if}>Iframe</option>
        </select>
    </div>
</div>

<script>
	jQuery(document).ready(function($){
		$('#sadadqa_checkout_type').on('change',function(){
			if($(this).val()==2){
				$('#chkoutTypeDiv').show();
			} else{
				$('#chkoutTypeDiv').hide();
			}
		});
	});
</script>